title: 'Team Member'
tabs:
  main:
    display: Main
    sections:
      -
        display: 'Key Information'
        fields:
          -
            handle: title
            field:
              type: text
              required: true
              input_type: text
              antlers: false
              display: Name
              listable: true
              instructions_position: above
              visibility: visible
              replicator_preview: true
              hide_display: false
              validate:
                - required
          -
            handle: roles
            field:
              type: list
              display: Roles
              listable: hidden
              instructions_position: above
              visibility: visible
              replicator_preview: true
              hide_display: false
              validate:
                - required
          -
            handle: headshot_image
            field:
              max_files: 1
              min_files: 1
              mode: list
              container: assets
              restrict: true
              allow_uploads: true
              show_filename: true
              show_set_alt: true
              type: assets
              display: 'Headshot Image'
              listable: hidden
              instructions_position: above
              visibility: visible
              replicator_preview: true
              hide_display: false
              validate:
                - required
              folder: team
      -
        display: About
        fields:
          -
            handle: linkedin_url
            field:
              input_type: text
              antlers: false
              type: text
              display: 'LinkedIn Url'
              instructions: 'linkedin.com/in/{{ linkedin_url_here }}'
              listable: hidden
              instructions_position: above
              visibility: visible
              replicator_preview: true
              hide_display: false
          -
            handle: drink_preference
            field:
              input_type: text
              antlers: false
              type: text
              display: 'Drink Preference'
              listable: hidden
              instructions_position: above
              visibility: visible
              replicator_preview: true
              hide_display: false
          -
            handle: superpowers
            field:
              type: list
              display: Superpowers
              listable: hidden
              instructions_position: above
              visibility: visible
              replicator_preview: true
              hide_display: false
          -
            handle: intro_lines
            field:
              antlers: false
              type: textarea
              display: 'Intro Lines'
              listable: hidden
              instructions_position: above
              visibility: visible
              replicator_preview: true
              hide_display: false
          -
            handle: bio
            field:
              buttons:
                - bold
                - italic
                - underline
                - alignleft
              smart_typography: false
              save_html: false
              inline: break
              toolbar_mode: fixed
              reading_time: false
              word_count: true
              fullscreen: false
              allow_source: false
              enable_input_rules: true
              enable_paste_rules: true
              remove_empty_nodes: false
              antlers: false
              link_noopener: false
              link_noreferrer: false
              target_blank: false
              always_show_set_button: false
              collapse: false
              previews: true
              type: bard
              display: Bio
              listable: hidden
              instructions_position: above
              visibility: visible
              replicator_preview: true
              hide_display: false
          -
            handle: featured_image
            field:
              max_files: 1
              mode: list
              container: assets
              restrict: false
              allow_uploads: true
              show_filename: true
              show_set_alt: true
              type: assets
              display: 'Featured Image'
              listable: hidden
              instructions_position: above
              visibility: visible
              replicator_preview: true
              hide_display: false
              validate:
                - image
      -
        display: 'Page settings'
        fields:
          -
            import: page_settings
      -
        display: CTA
        fields:
          -
            import: cta
  sidebar:
    display: Sidebar
    sections:
      -
        fields:
          -
            handle: slug
            field:
              type: slug
              localizable: true
              validate:
                - 'max:200'
              instructions_position: above
              listable: hidden
              visibility: visible
              replicator_preview: true
              from: name
              generate: true
              show_regenerate: false
              hide_display: false
